import request from '@/config/axios'

export interface MmPredictAlarmConfigVO {
  id: string
  title: string,
  alarmObj: string,
  itemId: string,
  outId: string,
  compLength: number,
  upperLimit: number,
  lowerLimit: number,
  unit: string,
  coefficient: number,
  scheduleId: string,
  isEnable: number,
  creator: string,
  createTime: Date,
  updater: string,
  updateTime: Date,
}

export interface MmPredictAlarmConfigPageReqVO extends PageParam {
  title?: string
}

// 查询MmPredictAlarmConfig列表
export const getMmPredictAlarmConfigPage = (params: MmPredictAlarmConfigPageReqVO) => {
  return request.get({ url: '/model/pre/alarm-config/page', params })
}

// 查询MmPredictAlarmConfig详情
export const getMmPredictAlarmConfig = (id: number) => {
  return request.get({ url: `/model/pre/alarm-config/get/${id}`})
}

// 新增MmPredictAlarmConfig
export const createMmPredictAlarmConfig = (data: MmPredictAlarmConfigVO) => {
  return request.post({ url: '/model/pre/alarm-config/create', data })
}

// 修改MmPredictAlarmConfig
export const updateMmPredictAlarmConfig = (data: MmPredictAlarmConfigVO) => {
  return request.put({ url: '/model/pre/alarm-config/update', data })
}

// 删除MmPredictAlarmConfig
export const deleteMmPredictAlarmConfig = (id: number) => {
  return request.delete({ url: '/model/pre/alarm-config/delete?id=' + id })
}


// 查询getPredictAlarmConfigList详情
export const getPredictAlarmConfigList = () => {
  return request.get({ url: `/model/pre/alarm-config/list`})
}
